Loading...
Searching...
No Matches
svn_repos_notify_t Struct Reference
Repository notifications

Structure used by svn_repos_notify_func_t. More...

`#include <svn_repos.h>`

## Data Fields

svn_repos_notify_action_t | action
| Action that describes what happened in the repository.
svn_revnum_t | revision
| For svn_repos_notify_dump_rev_end and svn_repos_notify_verify_rev_end, the revision which just completed.
const char * | warning_str
| For svn_repos_notify_warning, the warning message.
svn_repos_notify_warning_t | warning
| For svn_repos_notify_warning, the warning type.
apr_int64_t | shard
| For svn_repos_notify_pack_shard_start, svn_repos_notify_pack_shard_end, svn_repos_notify_pack_revprops, svn_repos_notify_cleanup_revprops svn_repos_notify_pack_shard_start_revprop, and svn_repos_notify_pack_shard_end_revprop, the shard processed.
svn_revnum_t | new_revision
| For svn_repos_notify_load_txn_committed, the revision committed.
svn_revnum_t | old_revision
| For svn_repos_notify_load_txn_committed, the source revision, if different from new_revision, otherwise SVN_INVALID_REVNUM.
enum svn_node_action | node_action
| For svn_repos_notify_load_node_start, the action being taken on the node.
const char * | path
| For svn_repos_notify_load_node_start, the path of the node.
svn_revnum_t | start_revision
| For svn_repos_notify_hotcopy_rev_range, the start of the copied revision range.
svn_revnum_t | end_revision
| For svn_repos_notify_hotcopy_rev_range, the end of the copied revision range (might be the same as start_revision).

## Detailed Description

Structure used by svn_repos_notify_func_t.

The only field guaranteed to be populated is `action`. Other fields are dependent upon the `action`. (See individual fields for more information.)

Note
  Callers of notification functions should use svn_repos_notify_create() to create structures of this type to allow for future extensibility.

Since
  New in 1.7.

Definition at line 315 of file svn_repos.h.

## Field Documentation

## action

svn_repos_notify_action_t svn_repos_notify_t::action

Action that describes what happened in the repository.

Definition at line 318 of file svn_repos.h.

## end_revision

svn_revnum_t svn_repos_notify_t::end_revision

For svn_repos_notify_hotcopy_rev_range, the end of the copied revision range (might be the same as start_revision).

Since
  New in 1.9.

Definition at line 362 of file svn_repos.h.

## new_revision

svn_revnum_t svn_repos_notify_t::new_revision

For svn_repos_notify_load_txn_committed, the revision committed.

Definition at line 339 of file svn_repos.h.

## node_action

enum svn_node_action svn_repos_notify_t::node_action

For svn_repos_notify_load_node_start, the action being taken on the node.

Definition at line 349 of file svn_repos.h.

## old_revision

svn_revnum_t svn_repos_notify_t::old_revision

For svn_repos_notify_load_txn_committed, the source revision, if different from new_revision, otherwise SVN_INVALID_REVNUM.

For svn_repos_notify_load_txn_start and svn_repos_notify_load_skipped_rev, the source revision.

Definition at line 345 of file svn_repos.h.

## path

const char* svn_repos_notify_t::path

For svn_repos_notify_load_node_start, the path of the node.

Definition at line 352 of file svn_repos.h.

## revision

svn_revnum_t svn_repos_notify_t::revision

For svn_repos_notify_dump_rev_end and svn_repos_notify_verify_rev_end, the revision which just completed.

For svn_fs_upgrade_format_bumped, the new format version.

Definition at line 323 of file svn_repos.h.

## shard

apr_int64_t svn_repos_notify_t::shard

For svn_repos_notify_pack_shard_start, svn_repos_notify_pack_shard_end, svn_repos_notify_pack_revprops, svn_repos_notify_cleanup_revprops svn_repos_notify_pack_shard_start_revprop, and svn_repos_notify_pack_shard_end_revprop, the shard processed.

Definition at line 336 of file svn_repos.h.

## start_revision

svn_revnum_t svn_repos_notify_t::start_revision

For svn_repos_notify_hotcopy_rev_range, the start of the copied revision range.

Since
  New in 1.9.

Definition at line 357 of file svn_repos.h.

## warning

svn_repos_notify_warning_t svn_repos_notify_t::warning

For svn_repos_notify_warning, the warning type.

Definition at line 328 of file svn_repos.h.

## warning_str

const char* svn_repos_notify_t::warning_str

For svn_repos_notify_warning, the warning message.

Definition at line 326 of file svn_repos.h.

The documentation for this struct was generated from the following file:

- svn_repos.h